import getExecutablePathsFromEnv from "../Tools/GetExecutablePathsFromEnv";
import tryGetCompilerVersion from "../Tools/TryGetCompilerVersion";
import Compiler from "./Compiler";

export default class GppCompiler implements Compiler{
    compilerPath: string;
    compilerVersion: string;
    constructor(){
        const compilerPaths = getExecutablePathsFromEnv("g++")
        if(compilerPaths.length==0)throw Error("cannot find g++ compiler")
        this.compilerPath=`"${compilerPaths[0]}"`
        this.compilerVersion = tryGetCompilerVersion(this.compilerPath,"--version")
    }
}