import path from "path";
import printDebug from "./Tools/DebugPrint";
import { existsSync } from "fs";
import printErrorOrDebug from "./Tools/PrintErrorOrDebug";

const argv = require('minimist')(process.argv.slice(2))

let nmakeFileName = "nmake.ts"
if(argv["v"])(global as any).isDebug=true
if (argv["f"]) {nmakeFileName = argv["f"];printDebug(`setting nmake file name to ${argv["f"]}`)}

const nmakeFilePath = path.join(process.cwd(),nmakeFileName)
printDebug(`file path is ${nmakeFilePath}`)


printDebug("finding nmake file at "+nmakeFilePath)
if(!existsSync(nmakeFilePath))printErrorOrDebug(`cannot find file ${nmakeFilePath}`)
printDebug("found nmake file")

printDebug("adding ts-node")
require("ts-node").register()

printDebug(`running file ${nmakeFilePath}`)
require(nmakeFilePath)
printDebug(`run completion!`,nmakeFilePath)

